Loading...
Searching...
No Matches
Halide::Internal::Box Struct Reference

Represents the bounds of a region of arbitrary dimension. More...

`#include <Bounds.h>`

## Public Member Functions

| Box ()=default
| Box (size_t sz)
| Box (const std::vector< Interval > &b)
size_t | size () const
bool | empty () const
Interval & | operator[] (size_t i)
const Interval & | operator[] (size_t i) const
void | resize (size_t sz)
void | push_back (const Interval &i)
bool | maybe_unused () const
| Check if the used condition is defined and not trivially true.

## Public Attributes

Expr | used
| The conditions under which this region may be touched.
std::vector< Interval > | bounds
| The bounds if it is touched.

## Detailed Description

Represents the bounds of a region of arbitrary dimension.

Zero dimensions corresponds to a scalar region.

Definition at line 53 of file Bounds.h.

## Constructor & Destructor Documentation

## Box() [1/3]

Halide::Internal::Box::Box | ( |  | ) |

default

Referenced by operator<<.

## Box() [2/3]

Halide::Internal::Box::Box | ( | size_t | sz | ) |

inline explicit

Definition at line 61 of file Bounds.h.

References bounds.

## Box() [3/3]

Halide::Internal::Box::Box | ( | const std::vector< Interval > & | b | ) |

inline explicit

Definition at line 64 of file Bounds.h.

References bounds.

## Member Function Documentation

## size()

size_t Halide::Internal::Box::size | ( |  | ) | const

inline

Definition at line 68 of file Bounds.h.

References bounds.

## empty()

bool Halide::Internal::Box::empty | ( |  | ) | const

inline

Definition at line 71 of file Bounds.h.

References bounds.

## operator[]() [1/2]

Interval & Halide::Internal::Box::operator[] | ( | size_t | i | ) |

inline

Definition at line 74 of file Bounds.h.

References bounds.

## operator[]() [2/2]

const Interval & Halide::Internal::Box::operator[] | ( | size_t | i | ) | const

inline

Definition at line 77 of file Bounds.h.

References bounds.

## resize()

void Halide::Internal::Box::resize | ( | size_t | sz | ) |

inline

Definition at line 80 of file Bounds.h.

References bounds.

## push_back()

void Halide::Internal::Box::push_back | ( | const Interval & | i | ) |

inline

Definition at line 83 of file Bounds.h.

References bounds.

## maybe_unused()

bool Halide::Internal::Box::maybe_unused | ( |  | ) | const

Check if the used condition is defined and not trivially true.

## Member Data Documentation

## used

Expr Halide::Internal::Box::used

The conditions under which this region may be touched.

Definition at line 55 of file Bounds.h.

## bounds

std::vector<Interval> Halide::Internal::Box::bounds

The bounds if it is touched.

Definition at line 58 of file Bounds.h.

Referenced by Box(), Box(), empty(), operator[](), operator[](), push_back(), resize(), and size().

The documentation for this struct was generated from the following file:

- src/Bounds.h